[gst-devel] GIT conversion ... DONE (hooks)

Sebastian Dröge sebastian.droege at collabora.co.uk
Thu Jan 22 10:38:28 CET 2009


Am Donnerstag, den 22.01.2009, 05:54 +0100 schrieb Edward Hervey:
> > * set up pre-commit hooks?
>    DONE (automatically installed by autogen.sh). I'm currently updating
> each module, but it's taking some time (slow internet here).

The current pre-commit hook is broken if files are moved/deleted. The
patch below fixes this.

--- .git/hooks/pre-commit	2009-01-22 09:33:28.000000000 +0100
+++ .git/hooks/pre-commit	2009-01-22 10:36:36.000000000 +0100
@@ -7,7 +7,8 @@
  
 echo "--Checking style--"
 for file in `git-diff-index --name-only HEAD | grep "\.c$"` ; do
-tempfoo=`basename $0`
+    test -f ${file} || continue
+    tempfoo=`basename $0`
     newfile=`mktemp /tmp/${tempfoo}.XXXXXX` || exit 1
     indent \
 	--braces-on-if-line \

-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 197 bytes
Desc: Dies ist ein digital signierter Nachrichtenteil
URL: <http://lists.freedesktop.org/archives/gstreamer-devel/attachments/20090122/78844b11/attachment.pgp>


More information about the gstreamer-devel mailing list